Foreman - Bug #8874

gettext 3.1.13+ causes locale tx-update errors due to .edit.po files
01/08/2015 11:02 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Internationalization
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2096,
https://github.com/theforeman/foreman_
discovery/pull/244

Description

Since gettext 3.1.13+ locale updates aren't working quite right, as some new .edit.po and timestamp files in the locale directories are

created, which breaks the git commits in our Makefile.

The intention appears to be that we pull translations into the .edit.po files instead, which get merged into the .po files by gettext.

Related issues:
Related to Hammer CLI - Tracker #8978: Drop Ruby 1.8 support in hammer Closed
Blocks Foreman - Bug #13033: plugin:gettext rake task doesn't load with gette... Closed

01/15/2015
01/07/2016

Associated revisions

Revision 4406f5af - 02/03/2016 07:46 AM - Dominic Cleal
fixes #8874 - rework POT/PO updates for gettext 3's edit.po
3.1.13 adds an intermediate .edit.po file alongside each .po, which is meant

to be kept outside of SCM and updated by users, whereupon it's merged back into
the .po on the next rake gettext:find execution.

Previously we overwrote all gettext .po file changes with files directly from

Transifex, but now these are downloaded to .edit.po and gettext merges them
back in. Fuzzy merges have been disabled as they were inaccurate.

History

#1 - 01/12/2015 10:16 AM - Dominic Cleal

Previously...

® make -C locale tx-update
o pulls rails locale files
runs tx pull, which overwrites locale/*/foreman.po
git commits
runs rake locale:po_to_json, which converts foreman.po to app.js
runs rake locale:find, which overwrites locale/foreman.po, re-merges locale/*/foreman.po
reverts locale/*/foreman.po from previous step
git amends

o]
o]
o]
o]
o]
o]

Now there's an .edit.po and real .po file, tx pull should in theory go to the edit file first, then let gettext handle merging back to .po.

#2 - 01/15/2015 10:27 AM - Dominic Cleal

| opened https://github.com/ruby-gettext/gettext/issues/36 to ask for examples or help on what the .edit.po is for, and how it should be used before

deciding exactly how to proceed.

#3 - 01/15/2015 07:19 PM - Anonymous
- Related to Tracker #8978: Drop Ruby 1.8 support in hammer added
https://github.com/ruby-gettext/gettext/issues/36

#4 - 01/19/2015 09:38 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2096 added
- Pull request deleted ()

#5 - 01/19/2015 09:54 AM - Dominic Cleal

Now:

e make -C locale tx-update
o pulls rails locale files
o runs rake locale:find, which updates foreman.pot, generates .po and .edit.po files
o runs tx pull, which overwrites locale/*/foreman.edit.po
o runs rake locale:find, which merges into locale/*/foreman.po
o runs rake locale:po_to_json, which converts foreman.po to app.js
o git commits

#6 - 02/09/2015 08:54 AM - Dominic Cleal

- translation missing: en.field_release set to 28
Needed to rebuild POT/PO files in 1.8.

#7 - 04/27/2015 06:48 AM - Dominic Cleal

- translation missing: en.field_release changed from 28 to 50

#8 - 05/20/2015 02:25 AM - Dominic Cleal

- translation missing: en.field_release changed from 50 to 56

#9 - 06/15/2015 05:17 AM - Dominic Cleal

- translation missing: en.field_release deleted (56)

#10 - 01/15/2016 04:21 AM - Dominic Cleal
- Blocks Bug #13033: plugin:gettext rake task doesn't load with gettext i18n_rails_js 1.x added

#11 - 02/03/2016 06:17 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman_discovery/pull/244 added

#12 - 02/03/2016 08:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4406f5af6a8123a93771d4bff5{3dd29769ab0e9.

#13 - 02/03/2016 08:02 AM - Dominic Cleal

- translation missing: en.field_release set to 71
